linux-mips
[Top] [All Lists]

Re: 64 bit kernel for BCM1250

To: "Maciej W. Rozycki" <macro@linux-mips.org>
Subject: Re: 64 bit kernel for BCM1250
From: David Daney <ddaney@avtrex.com>
Date: Wed, 18 May 2005 09:35:41 -0700
Cc: Michael Belamina <belamina1@yahoo.com>, linux-mips@linux-mips.org
In-reply-to: <Pine.LNX.4.61L.0505181715070.19170@blysk.ds.pg.gda.pl>
Original-recipient: rfc822;linux-mips@linux-mips.org
References: <20050518080917.45521.qmail@web32501.mail.mud.yahoo.com> <428B663C.7050308@avtrex.com> <Pine.LNX.4.61L.0505181715070.19170@blysk.ds.pg.gda.pl>
Sender: linux-mips-bounce@linux-mips.org
User-agent: Mozilla Thunderbird 1.0 (X11/20041206)
Maciej W. Rozycki wrote:
On Wed, 18 May 2005, David Daney wrote:


I saw this with a 32 bit kernel (for a 32 bit target).  As far as I know, no
2.4.x kernels from linux-mips.org will work with gcc 3.4.x.


That could actually be true -- I've been using GCC 4.0.0 for quite some time now (that includes CVS snapshots from before the release), so I have no slightest idea whether it's OK to use older versions. ;-)


I have previously posted patches to this list that fixed the problem for me.
Specifically I think the messages in this thread are relevant:

http://www.linux-mips.org/cgi-bin/mesg.cgi?a=linux-mips&i=41AFDA18.2010906%40avtrex.com


Hasn't one of the proposed fixes for the bug made its way to Linux in the end? That would be regrettable...


WRT the 2.4 kernel the answer seems to be no. And yes I think it is regrettable.

If anybody thinks it would be useful, I could post my current patch again.

David Daney.

<Prev in Thread] Current Thread [Next in Thread>